<?/*------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (file_exists(INFUSIONS."unactivated_users/locale/".$settings['locale'].".php")) {
	include INFUSIONS."unactivated_users/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."unactivated_users/locale/English.php";
}

if (!checkRights("IP")) fallback("../index.php");

if (isset($code)) { 
	$result = dbquery("DELETE FROM ".$db_prefix."new_users WHERE user_code='$code'"); 
}

opentable($locale['UAU_001']);
	$result = dbquery("SELECT * FROM ".$db_prefix."new_users");
	if (dbrows($result) !=0) {    
		echo "<table width=100% border=0>    
		<tr class='tbl1'>
			<td style='font-weight:bold'>".$locale['UAU_101']."</td>    
			<td width='150px' style='font-weight:bold'>".$locale['UAU_102']."</td>    
			<td style='text-align:center; font-weight:bold'>".$locale['UAU_103']."</td>    
			<td width='75px' style='text-align:center; font-weight:bold'>".$locale['UAU_104']."</td>    
		</tr>";	
		while($data = dbarray($result))	{	    
			$info = unserialize($data['user_info']);	    
			echo "<tr class=tbl2>
				<td>".$info['user_name']."</td>
				<td width='150px'>".strftime($settings['forumdate'], $data['user_datestamp']+($settings['timeoffset']*3600))."</td>
				<td style='text-align:center'><a href='mailto:".$info['user_email']."'>".$info['user_email']."</a></td>
				<td width='75px' style='text-align:center'><a href='".FUSION_SELF."?code=".$data['user_code']."' onclick='return RemoveThisNewUser();'>".$locale['UAU_105']."</a></td>
			</tr>";	
			}	
		echo "</table>";
	}  else{	
		echo "<div style='text-align:center'>".$locale['UAU_107']."</div>";
	}
closetable();

echo "<script language='JavaScript'>
function RemoveThisNewUser() {	
	return confirm('".$locale['UAU_106']."');
}
</script>";

echo "</td>\n";
require_once BASEDIR."footer.php";
?>